package com.palmnest.webapp.quartz;

import com.palmnest.service.dinner.service.PlaceAnOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 订餐系统中，每天（工作日）10点钟给所有用户推送微信客服消息提醒用户该订餐了
 *
 * @author longmeizhen
 */
@Slf4j
@Component("orderDinnerDatePushTimerTask")
public class OrderDinnerDatePushTimerTask {


	@Autowired
	private PlaceAnOrderService placeAnOrderService;

	private void run() {

		log.info("quartz into OrderDinnerDatePushTimerTask start ..." + new Date());
		placeAnOrderService.sendMessageByEveryDay("", "");
		log.info("quartz into OrderDinnerDatePushTimerTask end ...");
	}
}
